/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#ifndef INCLUDED_DATAFLOW_TYPES
#define INCLUDED_DATAFLOW_TYPES

typedef enum
{
    fordulo_dataflow_none 	= 0x0000,
    fordulo_input_normal 	= 0x0001,
    fordulo_input_standard 	= 0x0002,
    fordulo_input_beholder 	= 0x0004,
    fordulo_input_url 		= 0x0008,
    fordulo_output_normal 	= 0x0100,
    fordulo_output_standard 	= 0x0200,
    fordulo_output_pszi 	= 0x0400
} t_fordulo_dataflow;

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_DATAFLOW_PROTOS
#define INCLUDED_DATAFLOW_PROTOS
#endif
#endif
