/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_F_OLIMPIA_TYPES
#define INCLUDED_F_OLIMPIA_TYPES
#ifndef JUST_NEED_TYPES
# define JUST_NEED_TYPES
# include "f_csata.h"
# undef JUST_NEED_TYPES
#else
# include "f_csata.h"
#endif

#ifdef F_OLIMPIA_INTERNAL_ACCESS
typedef struct spec_ep
{
    char * mit;
    char * kiemel_s;
    char * kiemel_e;
    t_spec_type type;
} t_spec_ep;
#endif /* F_OLIMPIA_INTERNAL_ACCESS */

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_F_OLIMPIA_PROTOS
extern int clear_helyezes(void);
void reformat_olimpia(t_fordulo * fordulo, char * buf);
void reformat_olimpia_korvege(t_fordulo * fordulo, char * buf);
#define INCLUDED_F_OLIMPIA_PROTOS
#endif
#endif
