/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_INPUT_TYPES
#define INCLUDED_INPUT_TYPES

typedef enum
{
    forras_type_none = 0,
    forras_type_file = 1
} t_forras_type;

typedef struct forras
{
    t_forras_type type;
    char * name;
    int n;
} t_forras;

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_INPUT_PROTOS
#define INCLUDED_INPUT_PROTOS
extern char * input(t_forras * forras);
extern t_forras * forras_create(char * name, t_forras_type type);
extern char * forras_indir(t_forras * forras);
extern int forras_destroy(t_forras * forras);
extern int dir_list(char * path, char * mask, char *** result);
#endif
#endif
