/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_SORSZAM_TYPES
#define INCLUDED_SORSZAM_TYPES

typedef struct sorszam_kivetel
{
    int szam;
    char * nev;
    char * jonev;
} t_sorszam_kivetel;

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_SORSZAM_PROTOS
#define INCLUDED_SORSZAM_PROTOS
extern char * nev_vege_check(char * nn, char * p2);
extern int karakter_check_szam(t_fordulo * fordulo, char * nev, char ** pontosnev);
extern int karakter_get_szam(char * nev, char ** pontosnev);
extern int monster_get_szam(char * nev, char ** pontosnev);
extern int init_karakters(char * filename);
extern int init_monsters(char * filename);
#endif
#endif
