/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#ifdef WIN32
#include "typedef.h"

#ifndef INCLUDED_WIN_TYPES
#define INCLUDED_WIN_TYPES

typedef struct wdir_struct
{
    char * wpath;
    long lFindHandle;
    struct _finddata_t fileinfo;
    int status; /* -1 == failure, 0 == freshly opened, 1 == opened and read, 2 == eof */
} t_wdir;

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_WIN_PROTOS
#define INCLUDED_WIN_PROTOS
extern int init_win(void);
extern int wdir(char * path, char * mask, char *** result);
#endif
#endif

#endif  /* WIN32 */
